parameters:
    webkul_prestashop_connector.connector_name.prestashop: 'Webkul Prestashop Connector'
    webkul_prestashop_connector.job_name.prestashop_export: 'prestashop_export'
    pim_connector.job.export_type: export

services:
    # Prestashop export
    webkul_prestashop_connector.job.prestashop_export:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%webkul_prestashop_connector.job_name.prestashop_export%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@webkul_prestashop_connector.step.prestashop_category.export'
                - '@webkul_prestashop_connector.step.prestashop_attribute.export'
                - '@webkul_prestashop_connector.step.prestashop_attribute_option.export'
                - '@webkul_prestashop_connector.step.prestashop_product_model.export'
                - '@webkul_prestashop_connector.step.prestashop_product.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%webkul_prestashop_connector.connector_name.prestashop%', type: '%pim_connector.job.export_type%' }
    
    
    # Prestashop Category export
    webkul_prestashop_connector.job.prestashop_category_export:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - 'prestashop_category_export'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@webkul_prestashop_connector.step.prestashop_category.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%webkul_prestashop_connector.connector_name.prestashop%', type: '%pim_connector.job.export_type%' }
    

    # Prestashop Attribute export
    webkul_prestashop_connector.job.prestashop_attribute_export:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - 'prestashop_attribute_export'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@webkul_prestashop_connector.step.prestashop_attribute.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%webkul_prestashop_connector.connector_name.prestashop%', type: '%pim_connector.job.export_type%' }
    

    # Prestashop Attribute Option export
    webkul_prestashop_connector.job.prestashop_attribute_option_export:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - 'prestashop_attribute_option_export'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@webkul_prestashop_connector.step.prestashop_attribute_option.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%webkul_prestashop_connector.connector_name.prestashop%', type: '%pim_connector.job.export_type%' }


    # Prestashop Product Model export
    webkul_prestashop_connector.job.prestashop_product_model_export:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - 'prestashop_product_model_export'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@webkul_prestashop_connector.step.prestashop_product_model.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%webkul_prestashop_connector.connector_name.prestashop%', type: '%pim_connector.job.export_type%' }


    # Prestashop Product export
    webkul_prestashop_connector.job.prestashop_product_export:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - 'prestashop_product_export'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@webkul_prestashop_connector.step.prestashop_product.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%webkul_prestashop_connector.connector_name.prestashop%', type: '%pim_connector.job.export_type%' }
    

    # Prestashop Product Quick Export
    webkul_prestashop_connector.job.prestashop_product_quick_export:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - 'prestashop_quick_export'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@webkul_prestashop_connector.step.prestashop_product_model_quick.export'
                - '@webkul_prestashop_connector.step.prestashop_product_quick.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%webkul_prestashop_connector.connector_name.prestashop%', type: '%pim_enrich.job.quick_export_type%' }
